// FILENAME:	DM_Blitz_Arena.cs
//
// AUTHOR:  	SLaSh
//------------------------------------------------------------------------------

$missionName = "DM_Blitz_Arena";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");
exec("BlitzStdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = false;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = true;
   $server::disableTeamYellow = false;
   $server::disableTeamPurple = false;
}

function onMissionLoad(){
   cdAudioCycle("Purge", "Terror", "Watching"); 
}

function onMissionStart()
{
	marsSounds();
}

// Messages
// ------------------------------------------------------------
function player::onAdd(%this)
{
   say(%this, 0, "<f4> | Instant autoheal: <f5>ON<f4> | <f4>Radar: <f5>OFF<f4> | <f4>Satellite Map: <f5>DISABLED<f4> |");
}

// instant heal after kill
// -------------------------------------------------------------------
function vehicle::onDestroyed(%destroyed,%destroyer)
{
   healObject(%destroyer,99999);
   healObject(%destroyer,99999);
   healObject(%destroyer,99999);
   healObject(%destroyer,99999);
   healObject(%destroyer,99999);
}

// Transporter Functionality
// --------------------------------------------------------------------------
function tele1::trigger::onEnter(%this, %object)
{
	setPosition(%object, -257.122, 7614.63, 100);
}
function tele2::trigger::onEnter(%this, %object)
{
	setPosition(%object, -257.122, 7614.63, 100);
}
function tele3::trigger::onEnter(%this, %object)
{
	setPosition(%object, 360.961, 7186.64, 134.5);
}
function tele4::trigger::onEnter(%this, %object)
{
	setPosition(%object, -253.472, 7571.88, 100);
}
function tele5::trigger::onEnter(%this, %object)
{
	setPosition(%object, -253.472, 7571.88, 100);
}
function tele6::trigger::onEnter(%this, %object)
{
	setPosition(%object, 344.997, 7282.64, 134.5);
}
function shootY::structure::onAttacked(%this, %object)
{
	setPosition(%object, 473.796, 7250.66, 134.588);
}
function shootP::structure::onAttacked(%this, %object)
{
	setPosition(%object, 473.731, 7294.02, 134.588);
}
